<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$objetoLabo=new usuarios();
// $objetoLabo->extras_select = " where nivel='TITULAR' && id_lab=".$idLabo ;
$objetoLabo->selecionaTudo($objetoLabo);

	     $pdf=new FPDF('P','mm','A4'); //parametos da pagina 
		 $pdf->open();//abre o fpdf
		 $pdf->AddPage();//adicionando a primera pafina
		 $pdf->SetFont('Arial','',12);
		 $pdf->SetDrawColor(10,10,10);
		 $maximoHAdobe=297;
		 $maximoLAdobe=210;
	     $margemEsquerdaExterna=10;
	     $margemEsquerda=10;
		 $margemDireita=$maximoLAdobe-6;
		 $larguraUtil=$maximoLAdobe-16;
		 $futer=$maximoHAdobe-10;
		 //$larguraUtil=$maximoLAdobe;
		 $cinza=220;
	     $fonte="Arial";
		 $nomeOperador=5;
		 $pdf->SetFillColor($cinza,$cinza,$cinza); 
		 //$pdf->imagem="ImagensClientes/i".$idLabo.".JPG"; //coromandel  aqui tem que ter JPG maiusculo sen
		 //	 $caminhoFinal=$this->imagem;
	     //$caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		 //bordas externas
		 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
		 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
		 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
		 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
		 $caminhoFinal="ImagensClientes/i56.JPG";
		 $pdf->Image($caminhoFinal,90,8,48,23,'JPG');

		//$pdf->SetFillColor($cinza,$cinza,$cinza);
		//imprime cabecalho
	     $objetoLabo=new usuarios();
		 $objetoLabo->extras_select = " where nivel='TITULAR' && id_lab=".$idLabo ;
         $objetoLabo->selecionaTudo($objetoLabo);
		 while ($resLabo = $objetoLabo->retornaDados()):
            $nomeLabo=$resLabo->nome;
            $ende1=$resLabo->ende1;
            $ende2=$resLabo->ende2;
            $ende3=$resLabo->ende3;
            $ende4=$resLabo->ende4;
            $ende5=$resLabo->ende5;
         endwhile;
	    $pdf->SetFont($fonte,'B',12);
		$pdf->setXY($margemEsquerda,40);
		$pdf->Cell($larguraUtil,5,$nomeLabo,0,1,'C');//natureza
	    $pdf->SetFont($fonte,'',10);
		$pdf->Cell($larguraUtil,5,$ende1,0,1,'C');//natureza
		$pdf->Cell($larguraUtil,5,$ende2,0,1,'C');//natureza
		$pdf->Cell($larguraUtil,5,$ende3,0,1,'C');//natureza
		$pdf->Cell($larguraUtil,5,$ende4,0,1,'C');//natureza
         //identificador do tipo de laudo
	    $pdf->SetFont($fonte,'B',12);
		$pdf->Cell($larguraUtil,5,'Laudo de Análise do Solo',1,1,'C',1);//natureza

		//dados do produtor
             //resgata o nome e o id da primeira amostra para evitar de a pessoa mandar dados de mais de um podutor no mesmo  laudo
          	 $rabicho= "WHERE tta.id=tta and id_pacote=pacote.id and material='".$material."' and tta.id_labo=$idLabo && numero>=".$inicio."  && numero<=".$final." order by numero ";
             $user = new amostrasTTAPacote();
			 $user->extras_select = $rabicho ;
			 $user->selecionaCampos($user);
			 $primeiraContagem=0;
             while ($res = $user->retornaDados()):
                 $primeiraContagem++;
                 if($primeiraContagem==1)  $idCliente=$res->id_cliente; 
             endwhile; 
			 //echo("iiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiid cliente= $idCliente<br>" );
			 //resgatada a id do cliente, vai capturar os dados dele mas depois usa esta mesma id do cliente para a sql rabicho
             $user = new clientes();
			 $user->extras_select = " where id=".$idCliente ;
			 $user->selecionaCampos($user);
             while ($res = $user->retornaDados()):
                 $nomeProdutor=$res->nome; 
                 $endereco=$res->endereco; 
                 $municipio=$res->municipio; 
                 $localidade=$res->localidade; 
                 $fone=$res->fone; 
                 $fax=$res->fax; 
             endwhile;                

			 $entrada="22/33/1234";
			 //$fax="9293.5037";
			 $emissao="30/33/1234";
			 $solicitante="Moacir";
			 $recibo = "123/13";
		     $pdf->SetFont($fonte,'',10);
			 $larguras=$larguraUtil/2;
			 $pdf->Cell($larguras,5,'Nome:'.$nomeProdutor,1,0,'L');//natureza
			 $pdf->Cell($larguras,5,'Municipio:'.$municipio,1,1,'L');//natureza
			 $pdf->Cell($larguras,5,'Endereço:'.$endereco,1,0,'L');//natureza
			 $pdf->Cell($larguras,5,'Localidade:'.$localidade,1,1,'L');//natureza
			 $pdf->Cell($larguras,5,'Fone:'.$fone,1,0,'L');//natureza
			 $pdf->Cell($larguras,5,'Data Entrada:'.$entrada,1,1,'L');//natureza
			 $pdf->Cell($larguras,5,'Fax:'.$fax,1,0,'L');//natureza
			 $pdf->Cell($larguras,5,'Data Emissão:'.$emissao,1,1,'L');//natureza
			 $pdf->Cell($larguras,5,'Solicitante:'.$solicitante,1,0,'L');//natureza
			 $pdf->Cell($larguras,5,'Nº Recibo:'.$recibo,1,1,'L');//natureza
			 
			 //cria todos os rotulos/barras/quadriculados etc
			 


		 //cabecalho primeira linha parte de baixo
		 
	 	 $reservado=30;
	     $larg1=5; 
		 $japones=16;
	     $larg2=21; 
	     $larg3=20; 
	     $larg4=20; 
	     $larg5=$japones; 
	     $larg6=$japones; 
	     $larg7=$japones; 
	     $larg8=$japones; 
	     $larg9=$japones; 
	     $larg10=$japones; 
	     $larg11=$japones; 
	     $larg12=$japones; 

	     $posicaox1=$margemEsquerda;
	     $posicaox2=$posicaox1+$larg1;
	     $posicaox3=$posicaox2+$larg2;
	     $posicaox4=$posicaox3+$larg3;
	     $posicaox5=$posicaox4+$larg4;
	     $posicaox6=$posicaox5+$larg5;
	     $posicaox7=$posicaox6+$larg6;
	     $posicaox8=$posicaox7+$larg7;
	     $posicaox9=$posicaox8+$larg8;
	     $posicaox10=$posicaox9+$larg9;
	     $posicaox11=$posicaox10+$larg10;
	     $posicaox12=$posicaox11+$larg11;

         //comeco da parte 1
		 $yCabecalho1=100;
	 	 $yCabecalho1Rodape=$yCabecalho1+$reservado;
	     $pdf->SetFont($fonte,'',6);
		 $pdf->setXY($posicaox1,$yCabecalho1);	  $pdf->Cell($larg1,6,'Nº',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox2,$yCabecalho1);	  $pdf->Cell($larg2,6,'Registro',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox3,$yCabecalho1);	  $pdf->Cell($larg3,6,'Textura',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox4,$yCabecalho1);	  $pdf->Cell($larg4,3,'%Argila',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox4,$yCabecalho1+3); $pdf->Cell($larg4,3,'m/V',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox5,$yCabecalho1);	  $pdf->Cell($larg5,6,'ph 1:1',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox6,$yCabecalho1);	  $pdf->Cell($larg6,3,'Índice',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox6,$yCabecalho1+3); $pdf->Cell($larg6,3,'SMP',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox7,$yCabecalho1);   $pdf->Cell($larg7,3,'P',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox7,$yCabecalho1+3); $pdf->Cell($larg7,3,'mg/dm³',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox8,$yCabecalho1);   $pdf->Cell($larg8,3,'K',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox8,$yCabecalho1+3); $pdf->Cell($larg8,3,'mg/m',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox9,$yCabecalho1);   $pdf->Cell($larg9,3,'%MO',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox9,$yCabecalho1+3); $pdf->Cell($larg9,3,'M/V',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox10,$yCabecalho1);   $pdf->Cell($larg10,3,'Al',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox10,$yCabecalho1+3); $pdf->Cell($larg10,3,'cmol/dm³',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox11,$yCabecalho1);   $pdf->Cell($larg11,3,'Ca',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox11,$yCabecalho1+3); $pdf->Cell($larg11,3,'cmol/dm³',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox12,$yCabecalho1);   $pdf->Cell($larg12,3,'Mg',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox12,$yCabecalho1+3); $pdf->Cell($larg12,3,'cmol/dm³',0,1,'C',1);//natureza

	     $pdf->SetFont($fonte,'',8);
		 $conta=0;

		//coloca os traços verticais separadores das colunas	 
        $pdf->Line($posicaox2,$yCabecalho1,$posicaox2,$yCabecalho1Rodape);//vert
        $pdf->Line($posicaox3,$yCabecalho1,$posicaox3,$yCabecalho1Rodape);//vert
        $pdf->Line($posicaox4,$yCabecalho1,$posicaox4,$yCabecalho1Rodape);//vert 
        $pdf->Line($posicaox5,$yCabecalho1,$posicaox5,$yCabecalho1Rodape);//vert 
        $pdf->Line($posicaox6,$yCabecalho1,$posicaox6,$yCabecalho1Rodape);//vert esq
        $pdf->Line($posicaox7,$yCabecalho1,$posicaox7,$yCabecalho1Rodape);//vert 
        $pdf->Line($posicaox8,$yCabecalho1,$posicaox8,$yCabecalho1Rodape);//vert 
        $pdf->Line($posicaox9,$yCabecalho1,$posicaox9,$yCabecalho1Rodape);//vert esq
        $pdf->Line($posicaox10,$yCabecalho1,$posicaox10,$yCabecalho1Rodape);//vert 
        $pdf->Line($posicaox11,$yCabecalho1,$posicaox11,$yCabecalho1Rodape);//vert esq
        $pdf->Line($posicaox12,$yCabecalho1,$posicaox12,$yCabecalho1Rodape);//vert 
//linhas horizontais		
        $pdf->Line($margemEsquerda,$yCabecalho1Rodape,$margemDireita,$yCabecalho1Rodape);//coloca o traço horizontal fechador  conjunto embaixo	 
        $pdf->Line($margemEsquerda,$yCabecalho1,$margemDireita,$yCabecalho1);//coloca o traço horizontal fechador  conjunto em cima 
        $pdf->Line($margemEsquerda,$yCabecalho1+6,$margemDireita,$yCabecalho1+6);//coloca o traço horizontal fechador  conjunto em cima 
/////////////////////AQUI COMEÇA O SEGUNDO CONJUNTO////////////////////////////////////////////////////


	     $pdf->SetFont($fonte,'',6);
		 $yCabecalho2=$yCabecalho1+$reservado+10;
	 	 $yCabecalho2Rodape=$yCabecalho2+$reservado;
		 $pdf->setXY($posicaox1,$yCabecalho2);	  $pdf->Cell($larg1,6,'Nº',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox2,$yCabecalho2);	  $pdf->Cell($larg2,6,'Registro',0,0,'C',1);//natureza
		 
		 $pdf->setXY($posicaox3,$yCabecalho2);	  $pdf->Cell($larg3,3,'H+Al',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox3,$yCabecalho2+3); $pdf->Cell($larg3,3,'cmol/dm³',0,0,'C',1);//natureza

		 $larg45=$larg4+$larg5;
		 $pdf->setXY($posicaox4,$yCabecalho2);	  $pdf->Cell($larg45,3,'CTC cmol/dm³',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox4,$yCabecalho2+3); $pdf->Cell($larg4,3,'Efetiva',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox5,$yCabecalho2+3); $pdf->Cell($larg5,3,'ph 7',1,0,'C',1);//natureza
		 
		 $larg67=$larg6+$larg7;
		 $pdf->setXY($posicaox6,$yCabecalho2);	  $pdf->Cell($larg67,3,'Saturacao %',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox6,$yCabecalho2+3); $pdf->Cell($larg6,3,'Al',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox7,$yCabecalho2+3); $pdf->Cell($larg7,3,'Bases',1,0,'C',1);//natureza
		 
		 $pdf->setXY($posicaox8,$yCabecalho2);   $pdf->Cell($larg8,3,'S',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox8,$yCabecalho2+3); $pdf->Cell($larg8,3,'mg/dm',0,0,'C',1);//natureza

		 $pdf->setXY($posicaox9,$yCabecalho2);   $pdf->Cell($larg8,3,'Cu',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox9,$yCabecalho2+3); $pdf->Cell($larg8,3,'mg/dm',0,0,'C',1);//natureza
		 
		 $pdf->setXY($posicaox10,$yCabecalho2);   $pdf->Cell($larg9,3,'Zn',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox10,$yCabecalho2+3); $pdf->Cell($larg9,3,'cmol/dm³',0,0,'C',1);//natureza
		 
		 $pdf->setXY($posicaox11,$yCabecalho2);   $pdf->Cell($larg10,3,'B',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox11,$yCabecalho2+3); $pdf->Cell($larg10,3,'cmol/dm³',0,1,'C',1);//natureza
         $conta=0;
	     $pdf->SetFont($fonte,'',8);

		//coloca os traços verticais separadores das colunas	 
        $pdf->Line($posicaox2,$yCabecalho2,$posicaox2,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox3,$yCabecalho2,$posicaox3,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox4,$yCabecalho2,$posicaox4,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox5,$yCabecalho2+3,$posicaox5,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox6,$yCabecalho2,$posicaox6,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox7,$yCabecalho2+3,$posicaox7,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox8,$yCabecalho2,$posicaox8,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox9,$yCabecalho2,$posicaox9,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox10,$yCabecalho2,$posicaox10,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox11,$yCabecalho2,$posicaox11,$yCabecalho2Rodape);//vert esq
        $pdf->Line($posicaox12,$yCabecalho2,$posicaox12,$yCabecalho2Rodape);//vert esq
//linhas horizontais		
        $pdf->Line($margemEsquerda,$yCabecalho2Rodape,$posicaox12,$yCabecalho2Rodape);//coloca o traço horizontal fechador  conjunto embaixo	 
        $pdf->Line($margemEsquerda,$yCabecalho2,$posicaox12,$yCabecalho2);//coloca o traço horizontal fechador  conjunto em cima 
        $pdf->Line($margemEsquerda,$yCabecalho2+6,$posicaox12,$yCabecalho2+6);//coloca o traço horizontal fechador  conjunto em cima 


/////////////////////AQUI COMEÇA O terceiro CONJUNTO////////////////////////////////////////////////////
         $larguraEspecial=$larg2+$larg3+$larg4; 
         $pdf->SetFont($fonte,'',6);
		 $yCabecalho3=$yCabecalho2+$reservado+10;
		 $yCabecalho3Rodape=$yCabecalho3+$reservado;
         $largRelacoes=$larg9+$larg10+$larg11+$larg12;
		 $pdf->setXY($posicaox9,$yCabecalho3-3);	  $pdf->Cell($largRelacoes,3,'Relações',1,0,'C',1);//sequencial
		 $pdf->setXY($posicaox1,$yCabecalho3);	  $pdf->Cell($larg1,6,'Nº',1,0,'C',1);//sequencial
		 $pdf->setXY($posicaox2,$yCabecalho3);	  $pdf->Cell($larguraEspecial,6,'Identificação da amostra',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox5,$yCabecalho3);	  $pdf->Cell($larg5,3,'Fe',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox5,$yCabecalho3+3); $pdf->Cell($larg5,3,'mg/dm',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox6,$yCabecalho3);	  $pdf->Cell($larg6,3,'Mn',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox6,$yCabecalho3+3); $pdf->Cell($larg6,3,'mg/dm³',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox7,$yCabecalho3);   $pdf->Cell($larg7,3,'Na',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox7,$yCabecalho3+3); $pdf->Cell($larg7,3,'mg/dm³',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox8,$yCabecalho3);   $pdf->Cell($larg8,3,'Mo',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox8,$yCabecalho3+3); $pdf->Cell($larg8,3,'mg/dm³',0,0,'C',1);//natureza
		 $pdf->setXY($posicaox9,$yCabecalho3);   $pdf->Cell($larg9,6,'Ca/Mg',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox10,$yCabecalho3);   $pdf->Cell($larg10,6,'Ca/K',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox11,$yCabecalho3);   $pdf->Cell($larg11,6,'Mg/K',1,0,'C',1);//natureza
		 $pdf->setXY($posicaox12,$yCabecalho3);   $pdf->Cell($larg12,6,'(Ca+Mg)/K',1,1,'C',1);//natureza
	     $pdf->SetFont($fonte,'',8);
		 $conta=0;

		//coloca os traços verticais separadores das colunas	 
        $pdf->Line($posicaox2,$yCabecalho3,$posicaox2,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox5,$yCabecalho3,$posicaox5,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox6,$yCabecalho3,$posicaox6,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox7,$yCabecalho3,$posicaox7,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox8,$yCabecalho3,$posicaox8,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox9,$yCabecalho3,$posicaox9,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox10,$yCabecalho3,$posicaox10,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox11,$yCabecalho3,$posicaox11,$yCabecalho3Rodape);//vert esq
        $pdf->Line($posicaox12,$yCabecalho3,$posicaox12,$yCabecalho3Rodape);//vert esq
//linhas horizontais		
        $pdf->Line($margemEsquerda,$yCabecalho3Rodape,$margemDireita,$yCabecalho3Rodape);//coloca o traço horizontal fechador  conjunto embaixo	 
        $pdf->Line($margemEsquerda,$yCabecalho3,$margemDireita,$yCabecalho3);//coloca o traço horizontal fechador  conjunto em cima 
        $pdf->Line($margemEsquerda,$yCabecalho3+6,$margemDireita,$yCabecalho3+6);//coloca o traço horizontal fechador  conjunto em cima 

			 
			 
			 
			 ///////////final dos rotulo e vai criar os dados///////////
			$linha=0;
////////////////////////////////
            $idLaudo=$sessao->getVar('idLaudo');
	        $generica=new tabelagenerica();
			$generica->tabela="documentos,documentos_ponte,clientes,amostra,produtor";
			$generica->extras_select = "WHERE doc_id=".$idLaudo. " &&  dcp_documento=doc_id && dcp_amostra=id_amostra &&  produtor.id=am_id_produtor && id_cliente=clientes.id";
            $generica->selecionaTudo($generica);

//////////////////////			 
			 
            while ($resTTAP = $generica->retornaDados()):
                $linha++;
				//conjunto a
				$identificacao=$resTTAP->numero."/13";
				$v1=$identificacao;
				//pega a textura
				$areiaGrossa= $resTTAP->p42;
				$areiaFina= $resTTAP->p43;
				$silte= $resTTAP->p44;
				$argila= $resTTAP->p45;
 			 	//leva os valores de areia grossa, areia fiana, silt e eargila e retorana a classe textural
			    $veredito=$userTTAP->calculaTextura($areiaGrossa,$areiaFina,$silte,$argila);
				$v2=$veredito;
				$v3=$argila;
				$v5="phsmp";
				//calcula fosforo
				$v4=$resTTAP->p1;//ph em agua é direto o que digitou vem pra ca
				$T=$resTTAP->p3;//fosforo
     			$cliente="LASSUL";
                if($cliente=='LASSUL')
				{
	                $a=-0.0075;
	                $b=0.008;
					$di=1;//diluicao de fosforo
				}
				else
				{
	                $a=$resTTAP->a_fosforo;
	                $b=$resTTAP->b_fosforo;
					$di=$resTTAP->p4;//diluicao de fosforo
				}					
				$v6=$userTTAP->calculaPorAbsorbancia($a,$b,$T,$di); ///calcula o valor final

				//potassio pode ser transmitancia ou direto
				$v7=$resTTAP->p22;//pega direto
                //materia organica
				$T=$resTTAP->p27;//materia organica
                if($cliente=='LASSUL')
				{
	                $a=-0.0075;
	                $b=0.008;
					$di=1;//diluicao
				}
				else
				{
	                $a=$resTTAP->a_organica;
	                $b=$resTTAP->b_organica;
					$di=1;//diluicao
				}					
				$v8=$userTTAP->calculaPorAbsorbancia($a,$b,$T,$di); ///calcula o valor final

				$v9=0.00;
				$v10=$resTTAP->p23;//calcio
				$v11=$resTTAP->p24;//
				$v12=$identificacao;
				$v13='??';
				$v14="??";
				$v15=13;
				$v16=$resTTAP->p25; //aluminio
				$v17=80;
                //calculo de enxofre
				$T=$resTTAP->p13;//enxofre
                if($cliente=='LASSUL')
				{
	                $a=-0.0075;
	                $b=0.008;
					$di=1;//diluicao
				}
				else
				{
	                $a=$resTTAP->a_enxofre;
	                $b=$resTTAP->b_enxofre;
				    $di=$resTTAP->p15;//diluicao de fosforo
				}					

				$v18=$userTTAP->calculaPorAbsorbancia($a,$b,$T,$di); ///calcula o valor final
				$v19=$resTTAP->p34; //cobre
				$v20=$resTTAP->p39;//zinco
				//carculo de boro---------------------------
				$T=$resTTAP->p32;//boro
                if($cliente=='LASSUL')
				{
	                $a=0;
	                $b=0.12;
					$di=1;//diluicao de fosforo
				}
				else
				{
	                $a=$resTTAP->a_organica;
	                $b=$resTTAP->b_organica;
					$di=1;//diluicao de fosforo
				}					
				$v21=$userTTAP->calculaPorAbsorbancia($a,$b,$T,$di); ///calcula o valor final

				$v22=$resTTAP->batizado;
				$v23=$resTTAP->p35;//ferro
				$v24=$resTTAP->p37;//manganes
				$v25=$resTTAP->p11; //sodio
				$v26=0; //molibdenio
				$v27=4.1;
				$v28=58.7;
				$v29=14.5;
				$v30=0.04;
				$desloca=$linha*5;
				//aqui vai impririr os resultados dentro dos espacos...............
     	 	     $pdf->SetFont('Arial','',6);
				 //primeiro conjunto de resultados-----------------
	         	 $pdf->setXY($posicaox1,$yCabecalho1+$desloca+1);
				 $pdf->Cell($larg1,6,$linha,0,0,'C');//natureza
		         $pdf->Cell($larg2,6,$identificacao,0,0,'C');//natureza
				 $pdf->Cell($larg3,5,$v2,0,0,'C');//natureza
				 $pdf->Cell($larg4,5,$v3,0,0,'C');//natureza
				 $pdf->Cell($larg5,5,$v4,0,0,'C');//natureza
				 $pdf->Cell($larg6,5,$v5,0,0,'C');//natureza
				 $pdf->Cell($larg7,5,$v6,0,0,'C');//fosforo
				 $pdf->Cell($larg8,5,$v7,0,0,'C');//natureza
				 $pdf->Cell($larg9,5,$v8,0,0,'C');//natureza
				 $pdf->Cell($larg10,5,$v9,0,0,'C');//natureza
				 $pdf->Cell($larg11,5,$v10,0,0,'C');//natureza
				 $pdf->Cell($larg12,5,$v11,0,1,'C');//natureza				 
				 
				 //segundo  conjunto de resultados-----------------
	         	 $pdf->setXY($posicaox1,$yCabecalho2+$desloca+1);
				 $pdf->Cell($larg1,6,$linha,0,0,'C');//natureza
				 $pdf->Cell($larg2,5,$v12,0,0,'C');//
				 $pdf->Cell($larg3,5,$v13,0,0,'C');//
				 $pdf->Cell($larg4,5,$v14,0,0,'C');//
				 $pdf->Cell($larg5,5,$v15,0,0,'C');//
				 $pdf->Cell($larg6,5,$v16,0,0,'C');//
				 $pdf->Cell($larg7,5,$v17,0,0,'C');//
				 $pdf->Cell($larg8,5,$v18,0,0,'C');//enxofre
				 $pdf->Cell($larg9,5,$v19,0,0,'C');//
				 $pdf->Cell($larg10,5,$v20,0,0,'C');//
				 $pdf->Cell($larg11,5,$v21,0,1,'C');//boro		 
				 
				 //terceiro conjunto de resultados-----------------
	         	 $pdf->setXY($posicaox1,$yCabecalho3+$desloca+1);
				 $pdf->Cell($larg1,5, $linha,0,0,'C');//
				 $larg234=$larg2+$larg3+$larg4;
				 $pdf->Cell($larg234,5,$v22,1,0,'C',1);//
				 $pdf->Cell($larg5,5,$v23,0,0,'C');//
				 $pdf->Cell($larg6,5,$v24,0,0,'C');//
				 $pdf->Cell($larg7,5,$v25,0,0,'C');//
				 $pdf->Cell($larg8,5,$v26,0,0,'C');//
				 $pdf->Cell($larg9,5,$v27,0,0,'C');//
				 $pdf->Cell($larg10,5,$v28,0,0,'C');//
				 $pdf->Cell($larg11,5,$v29,0,0,'C');//
				 $pdf->Cell($larg12,5,$v30,0,1,'C');//				
             endwhile;                

             	 $y=240;
                 $pdf->Line($posicaox3,$y,$posicaox3+80,$y);//vert esq
				 $pdf->SetFont('Arial','',8);
	         	 $pdf->setXY($posicaox3,$y);
				 $pdf->Cell(80,5,'Responsavel técnico',0,1,'C');//natureza


		$pdf->Output();
?>
